<?php
/**
 * @license MIT
 *
 * Modified by emberprice on 29-July-2026 using {@see https://github.com/BrianHenryIE/strauss}.
 */

declare(strict_types=1);

namespace EmberPrice\Vendor\ZipStream\Exception;

use EmberPrice\Vendor\ZipStream\Exception;

/**
 * This Exception gets invoked if a file wasn't found
 *
 * @api
 */
class FileNotFoundException extends Exception
{
    /**
     * @internal
     */
    public function __construct(
        public readonly string $path
    ) {
        parent::__construct("The file with the path $path wasn't found.");
    }
}
